package config

import (
	nconfig "git.noahlan.cn/noahlan/ntool-biz/core/config"
    {{if .useCasbin}}
    "git.noahlan.cn/noahlan/ntool-biz/core/casbin"
    dbconfig "git.noahlan.cn/noahlan/ntool-biz/core/orm/nent/config"{{else}}
    {{if .useEnt}}
    dbconfig "git.noahlan.cn/noahlan/ntool-biz/core/orm/nent/config"
    {{end}}{{end}}
    "github.com/zeromicro/go-zero/rest"
)

type Config struct {
	rest.RestConf
	Auth         nconfig.AuthConf
	CROSConf     nconfig.CORSConf
	{{if .useCasbin}}
    CasbinConf   casbin.CasbinConf
    DatabaseConf dbconfig.Database
    RedisConf    nconfig.RedisConf{{else}}
	{{if .useEnt}}DatabaseConf dbconfig.Database{{end}}
	{{end}}
	{{.jwtTrans}}
}
